%define module_name subfs
%define module_version 0.2
%define module_release alt1
%define module_source %{module_name}-%{module_version}.tar.bz2
%define module_source_dir %{module_name}-%{module_version}

#### MODULE SOURCES ####
Name:          kernel-source-%{module_name}-%{module_version}
Version:       %{module_version}
Release:       %{module_release}
Summary:       Linux %{module_name} modules sources
License:       GPL
Group:         Development/Kernel
BuildArch:     noarch
Source0:       %{module_source}

Packager:       Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
%{module_name} modules sources for Linux kernel

%prep
%setup -c

%install
mkdir -p %{buildroot}%{_usrsrc}/kernel/sources/
mkdir -p %{buildroot}%{_defaultdocdir}/kernel-doc-%{module_name}-%{module_version}
mv %{module_source_dir} kernel-source-%{module_name}-%{module_version}
tar -c kernel-source-%{module_name}-%{module_version} | bzip2 -c > \
    %{buildroot}%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%files
%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%changelog
* Tue Jun 03 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.2-alt1
- Initial release

